Page MenuHomePhabricator

list=logevents tries to return both the creating user's and the created user's ids as "userid"
Closed, ResolvedPublic

Description

list=logevents doesn't return the user ID of the user who is creating an account. The userid property contains the user ID of the account that is being created, but there is no property containing the user ID of the account that is creating it (which would be different in create2 log actions).


Version: 1.24rc
Severity: enhancement

Details

Reference
bz71020

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:55 AM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz71020.

It does when leprop=userid is used. See the following query, for example: User:Conieliandi created User:Conielia, and you can see that the 'userid' field returned is that for Conieliandi, not Conielia.

https://en.wikipedia.org/w/api.php?format=jsonfm&action=query&list=logevents|users&leprop=ids|title|type|user|userid|timestamp|comment|parsedcomment|details|tags&leaction=newusers/create2&lelimit=1&lestart=2014-09-18T20:49:50Z&ususers=Conielia|Conieliandi

OTOH, if you omit leprop=userid, then the 'userid' field is that for Conielia; it's not possible to get both at the same time.

I'm going to assign this bug to myself, to be fixed during the major overhaul of logevents detail handling described at https://www.mediawiki.org/wiki/Requests_for_comment/API_roadmap#Clean_up_log_event_parameter_handling_in_action.3Dlogevents.

Change 183315 had a related patch set uploaded (by Anomie):
API: Move parameter formatting into LogFormatter

https://gerrit.wikimedia.org/r/183315

Patch-For-Review

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Feb 19 2015, 6:29 PM

Change 183315 merged by jenkins-bot:
API: Move parameter formatting into LogFormatter

https://gerrit.wikimedia.org/r/183315

Anomie closed this task as Resolved.Apr 17 2015, 1:50 PM
Ricordisamoa edited subscribers, added: Ricordisamoa; removed: gerritbot.

Change 207494 had a related patch set uploaded (by Anomie):
API: Move parameter formatting into LogFormatter

https://gerrit.wikimedia.org/r/207494

Change 207494 merged by jenkins-bot:
API: Move parameter formatting into LogFormatter

https://gerrit.wikimedia.org/r/207494